## org.apache.xerces.impl.dv
Class ValidatedInfo

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.ValidatedInfo

public class ValidatedInfo
extends java.lang.Object

Class to get the information back after content is validated. This info would be filled by validate().

Version:
  $Id: ValidatedInfo.java,v 1.5 2002/11/18 23:10:09 sandygao Exp $
Author:
  Neeraj Bajaj, Sun Microsystems, inc.

Field Summary
`java.lang.Object` `actualValue` The actual value from a string value (QName, Boolean, etc.) An array of Objects if the type is a list.
`XSSimpleType` `memberType` If the type is a union type, then the member type which actually validated the string value.
`XSSimpleType[]` `memberTypes` If 1.
`java.lang.String` `normalizedValue` The normalized value of a string value

Constructor Summary
`ValidatedInfo()`

Method Summary
`void` `reset()` reset the state of this object
`java.lang.String` `stringValue()` Return a string representation of the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### normalizedValue

    public java.lang.String normalizedValue

  The normalized value of a string value

### actualValue

    public java.lang.Object actualValue

  The actual value from a string value (QName, Boolean, etc.) An array of Objects if the type is a list.

### memberType

    public XSSimpleType memberType

  If the type is a union type, then the member type which actually validated the string value.

### memberTypes

    public XSSimpleType[] memberTypes

  If 1. the type is a union type where one of the member types is a list, or if the type is a list; and 2. the item type of the list is a union type then an array of member types used to validate the values.

Constructor Detail

### ValidatedInfo

    public ValidatedInfo()

Method Detail

### reset

    public void reset()

  reset the state of this object

### stringValue

    public java.lang.String stringValue()

  Return a string representation of the value. If there is an actual value, use toString; otherwise, use the normalized value.

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.